## VueClassifyChoice

### 一个分类选择的 vue 组件

### 安装

```bash
npm install vue-classify-choice -S
或者
yarn add vue-classify-choice
```

### 使用

在`main.js`中引入插件并注册

```bash
#main.js
import VueClassifyChoice from "vue-classify-choice";
Vue.use(VueClassifyChoice)
在main.js中引入插件并注册
```

在项目中使用 VueClassifyChoice

```js
<template>
  <Vue-classify-select />
</template>
```

### 参数

#### list

Type: `Array`<br>
Required: `false`<br>
Default: `[ { title: "test1", list: [ { name: "tab1", }, ], }, ]`

选项列表，应当传入一个二维数组

#### type

Type: `String`<br>
Required: `false`<br>
Default: ``

每一项的标识 用来告诉组件以那个字段作为值来返回选择的结果 不传默认为 index

#### dataListDefault

Type: `Array`<br>
Required: `false`<br>
Default: `[]`

默认选中值的数组 需结合 type

#### showCancle

Type: `Boolean`<br>
Required: `false`<br>
Default: `false`

是否显示取消按钮 默认 false

#### activeColor

Type: `String`<br>
Required: `false`<br>
Default: `#148eeb`

选中项的颜色

#### activeBackgroundColor

Type: `String`<br>
Required: `false`<br>
Default: `#f4f9ff`

选中项的背景颜色

### 事件

#### selectionSureClick

确定按钮点击

#### selectionCancleClick

取消按钮点击

## License

[MIT license](LICENSE)
